## clonezilla-live-src-20120525-precise.ubuntu.tar.gz

=== Makefile ===
NAME=pxz
VERSION=4.999.9beta
CC=gcc
WARNINGS=-Wall -Wshadow -Wcast-align -Winline -Wextra -Wmissing-noreturn
CFLAGS+=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DPXZ_BUILD_DATE=\"`date +%Y%m%d`\" -DPXZ_VERSION=\"$(VERSION)\"
#CFLAGS+=-DDEBUG -ggdb3
CFLAGS+=-O2 -fopenmp
LDFLAGS+=-llzma
SOURCES=$(NAME).c Makefile
OBJECTS=
EXECUTE=./$(NAME) CONTENTS.cpio
BINDIR?=/usr/bin
MANDIR?=/usr/share/man

all: $(OBJECTS) $(NAME)

$(NAME): $(SOURCES) $(OBJECTS)
	$(CC) $(WARNINGS) $(OBJECTS) $(CFLAGS) $(LDFLAGS) $(NAME).c -o $(NAME)

clean:
	rm -f *.o $(NAME)

distclean: clean
	rm -f *~

dist: $(NAME)
	LANG=C
	rm -rf $(NAME)-$(VERSION)
	mkdir $(NAME)-$(VERSION)
	cp $(SOURCES) $(NAME)-$(VERSION)
	tar fcJ $(NAME)-$(VERSION).`date +%Y%m%d`git.tar.xz $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION)

install: $(NAME)
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(NAME) $(DESTDIR)$(BINDIR)

ddd: $(NAME)
	ddd --args $(EXECUTE)

gdb: $(NAME)
	gdb --args $(EXECUTE)

time: $(NAME)
	time $(EXECUTE)

valgrind: $(NAME)
	valgrind -v --tool=memcheck --leak-check=yes $(EXECUTE)

=== changelog ===
samba (2:3.6.3-2ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 24 Apr 2012 15:49:30 -0500

samba (2:3.6.3-2ubuntu2) precise-proposed; urgency=low

  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 12 Apr 2012 05:28:44 -0500

samba (2:3.6.3-2ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #958534)
    Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/patches/error-trans.fix-276472:
      - Add the translation of Unix Error code -ENOTSUP to NT Error Code
      - NT_STATUS_NOT_SUPPORTED to prevent the Permission denied error.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are 
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.dirs, debian/samba.files: install
        profile
      - debian/control: have samba suggest ufw
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba.dirs, debian/samba-common-bin.files: install
    + Switch to upstart:
      - Add debian/samba.{nmbd,smbd}.upstart.
    + debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
      - Make them upstart compatible
    + debian/patches/fix-debuglevel-name-conflict.patch: don't use 'debug_level'
      as a global variable name in an NSS module.

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Sun, 18 Mar 2012 13:49:29 +0100

samba (2:3.6.3-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix example samba.ldif syntax. Closes: #659963
  * Set minimal version of tdb ot 1.2.6 in Build-Depends
    (thanks, backports!)
  * Lower priority of debconf question to medium after some pondering.
    After all, we have a sane default. Closes: #662801
  * Merge some Ubuntu patches:
    - samba.config: Avoid scary pdbedit warnings on first import.
    - samba.postinst: Add more informative error message for the case
      where smb.conf was manually deleted.

  [ Maarten Bezemer ]
  * Removed references to the testprns command from documentation
  * Added notes that the smbsh command is not available in this package
    Closes: #662243

  [ Debconf translations ]
  * Indonesian (Arief S Fitrianto).  Closes: #660312
  * Slovak (Ivan Masár).  Closes: #661125

  [ Steve Langasek ]
  * Use Debian copyright-format 1.0 in debian/copyright.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Mar 2012 20:49:24 +0100

samba (2:3.6.3-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/patches/error-trans.fix-276472:
      - Add the translation of Unix Error code -ENOTSUP to NT Error Code
      - NT_STATUS_NOT_SUPPORTED to prevent the Permission denied error.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are 
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.dirs, debian/samba.files: install
        profile
      - debian/control: have samba suggest ufw
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba.dirs, debian/samba-common-bin.files: install
    + Switch to upstart:
      - Add debian/samba.{nmbd,smbd}.upstart.
    + debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
      - Make them upstart compatible
    + debian/samba.postinst: 
      - Avoid scary pdbedit warnings on first import.
    + debian/samba-common.postinst: Add more informative error message for
      the case where smb.conf was manually deleted
    + debian/patches/fix-debuglevel-name-conflict.patch: don't use 'debug_level'
      as a global variable name in an NSS module.
  * Dropped:
    - debian/patches/fix-samba-printer-browsing.patch: No longer needed.



=== debian/changelog ===
clonezilla (2.5.36-1drbl) unstable; urgency=low

  * Force to add net-tools in packages list of create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 May 2012 10:53:32 +0800

clonezilla (2.5.35-1drbl) unstable; urgency=low

  * Adding gptsync in packages list of create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 May 2012 10:09:13 +0800

clonezilla (2.5.34-1drbl) unstable; urgency=low

  * Bug fixed: Putting cifs as one of the network filesystem in prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 May 2012 20:05:09 +0800

clonezilla (2.5.33-1drbl) unstable; urgency=low

  * Adding Ubuntu Quantal support in create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 May 2012 16:34:46 +0800

clonezilla (2.5.32-1drbl) unstable; urgency=low

  * Allowing to enter command line prompt to create partition table when blank destination disk is found in restoreparts mode.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 Apr 2012 09:26:07 +0800

clonezilla (2.5.31-1drbl) unstable; urgency=low

  * "autohostname" was improved when no FQDN was found.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Apr 2012 14:56:35 +0800

clonezilla (2.5.30-1drbl) unstable; urgency=low

  * Bug fixed: missing option -bt|--bootstrap for create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Apr 2012 13:44:38 +0800

clonezilla (2.5.29-1drbl) unstable; urgency=low

  * An option to use "autohostname" to create the image name was added.  Thanks to tererecool for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 08 Apr 2012 20:03:13 +0800

clonezilla (2.5.28-1drbl) unstable; urgency=low

  * Bug fixed: Non-free firmware doc should not be removed by function dirty_hacking_rm_files_for_ocs_live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Apr 2012 10:27:01 +0800

clonezilla (2.5.27-1drbl) unstable; urgency=low

  * Non-free firmware doc will be included in Ubuntu-based Clonezilla live, too.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Apr 2012 09:50:54 +0800

clonezilla (2.5.26-1drbl) unstable; urgency=low

  * More non-free firmware, e.g. ipw2200, will be included in Ubuntu-based Clonezilla live. Thanks to Shinobi (iam_shinobi _at_ yahoo com) for this suggestion.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 06 Apr 2012 21:50:22 +0800

clonezilla (2.5.25-1drbl) unstable; urgency=low

  * Vmfs5 supported by partclone was enabled in drbl-ocs.conf, because partclone 0.2.46 has supported it.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Apr 2012 08:15:20 +0800

clonezilla (2.5.24-1drbl) unstable; urgency=low

  * Typo fixed in the previous grpck workaround.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 Apr 2012 22:01:54 +0800

clonezilla (2.5.23-1drbl) unstable; urgency=low

  * A workaround was added to avoid grpck error during booting. Ref: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=638263

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 04 Apr 2012 21:11:43 +0800

clonezilla (2.5.22-1drbl) unstable; urgency=low

  * A function get_not_busy_disks_or_parts was added in ocs-functions so it can be reused. 
  * A researved name "all" is used for finding all the devices in the system or in the image. Thanks to matthiaswe for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Mar 2012 19:55:48 +0800

clonezilla (2.5.21-1drbl) unstable; urgency=low

  * Adding packages wicd and xvnc4viewe in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Mar 2012 10:58:15 +0800

clonezilla (2.5.20-1drbl) unstable; urgency=low

  * Adding packages "tree" and "cifs-utils" for gparted live in create-gparted-live.
  * The image of a partition saved by dd won't be treated as a broken one in ocs-chkimg.
  * The grub4 on ext4 warning will be shown again if grub1 is not run successfully.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Mar 2012 14:28:23 +0800

clonezilla (2.5.19-1drbl) unstable; urgency=low

  * Adding package samba-common-bin in create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Mar 2012 22:18:24 +0800

clonezilla (2.5.18-1drbl) unstable; urgency=low

  * Enabling startpar for DRBL live server.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Feb 2012 15:05:34 +0800

clonezilla (2.5.17-1drbl) unstable; urgency=low

  * Allowing cancellation when selecting a dir name for local image repository. Closed https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3491047&group_id=115473

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Feb 2012 11:22:44 +0800

clonezilla (2.5.16-1drbl) unstable; urgency=low

  * A warning message about grub 1 on ext4 partition will be shown.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Feb 2012 23:06:16 +0800

clonezilla (2.5.15-1drbl) unstable; urgency=low

  * Replacing dillo with netsurf, and adding nilfs-tools in create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Feb 2012 10:21:38 +0800

clonezilla (2.5.14-2drbl) unstable; urgency=low

  * Switch to use "lrzip -q -d -o -" instead of "lrzcat -q" so that in order version of lrzip can be used. Closed https://sourceforge.net/tracker/index.php?func=detail&aid=3487541&group_id=115473&atid=671650.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Feb 2012 14:32:04 +0800

clonezilla (2.5.13-2drbl) unstable; urgency=low

  * Update the requires for drbl 1.11.2.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Feb 2012 09:10:08 +0800

clonezilla (2.5.13-1drbl) unstable; urgency=low

  * An option to start over while keeping the mounted image repository was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 10 Feb 2012 16:52:16 +0800

clonezilla (2.5.12-1drbl) unstable; urgency=low

  * Using btrfs instead of btrfsctl in ocs-resize-part.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Feb 2012 15:29:58 +0800

clonezilla (2.5.11-1drbl) unstable; urgency=low

  * The prompt in ocs-update-syslinux was updated.
  * Force the kernel to re-read the partition table after sgdisk --zap-all the disk.



=== debian/control ===
Source: kexec-tools
Section: admin
Homepage: http://kernel.org/pub/linux/utils/kernel/kexec/
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpatch, autoconf, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf, automake
Standards-Version: 3.9.2

Package: kexec-tools
Architecture: i386 amd64 ppc64 powerpc ia64 s390 arm armel
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, initramfs-tools
Description: kexec tool for kexec reboots
 This tool is used to load a kernel in memory and reboot into the kernel
 loaded in memory using the kexec system call.

Package: kexec-tools-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kexec tool for kexec reboots (udeb)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: patch configure-stamp
configure-stamp: 
	dh_testdir
	# Add here commands to configure the package.
	aclocal -I config
	autoheader
	autoconf
	./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share

	touch configure-stamp


build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: tidy unpatch

tidy: patch configure-stamp 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -fr tmp-source

	# Add here commands to clean up after the build process.
	$(MAKE) dist-clean

	dh_clean 
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
	install -D -m755 debian/kdump.initramfs \
		debian/kexec-tools/usr/share/initramfs-tools/scripts/init-bottom/0_kdump
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
endif

	install -D -m 0755 debian/kexec-tools/sbin/kexec debian/kexec-tools-udeb/sbin/kexec

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdebconf
	dh_installinit --no-start -r --name=kexec -- start 85 6 .
	dh_installinit --no-start -r --name=kexec-load -- stop 18 6 .
	dh_installinit --no-start -r --name=kdump -- start 00 2 .
	dh_installexamples
	dh_lintian
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
